var PicBash = {
	
	WinOnLoad: function(e) {
	    try{
	    	
	    	var contextMenu = document.getElementById("contentAreaContextMenu");
	    	contextMenu.addEventListener("popupshowing", PicBash.ContextOn, false);
			
	    }
	    catch (e){
	    	alert("Ошибка в функции PicBash.WinOnLoad. " + e);
	    }
	},
	
	ContextOn : function() {
		
		gContextMenu.showItem("picbash-menu", gContextMenu.onImage);
		
	},
	
	MenuItemOnCommand: function(event, obj) {
		try{
			
			var sImageUrl = gContextMenu.imageURL;
			if (sImageUrl == "" || sImageUrl == null) return;
			
			var oIoService = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService);
	        var oUri = oIoService.newURI(sImageUrl, null, null);
	        var oChannel = oIoService.newChannelFromURI(oUri);
	        
	        var oBinInputStream = Components.classes["@mozilla.org/binaryinputstream;1"].createInstance(Components.interfaces.nsIBinaryInputStream);
            oBinInputStream.setInputStream(oChannel.open()); 
	        
	        var imgData = "";
	        while (oBinInputStream.available()){
		        var imgSize = oBinInputStream.available();
		        imgData += oBinInputStream.readBytes(imgSize);
	        }
	        
	        var imgBase64Data = btoa(imgData);
	        
	        var pos = sImageUrl.lastIndexOf("/")
	        var filename = sImageUrl.substr(pos + 1, sImageUrl.length - pos);
	        
			var sCurrentPage = window.content.location.href;
			
	        var postData = "filename=" + filename + "&url=" + sImageUrl + "&curpage=" + sCurrentPage + "&picsrc=" + imgBase64Data + "&date=" + (new Date()).toGMTString();
			
			var xhttpreq = new XMLHttpRequest();
            xhttpreq.open("POST", "http://pic-bash.ru/addpicpost.php", true);
            xhttpreq.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            xhttpreq.setRequestHeader("Content-length", postData.length);
            xhttpreq.setRequestHeader("Connection", "close");
            xhttpreq.onreadystatechange = function(data) {
				if (xhttpreq.readyState == 4) {
					if (xhttpreq.status == 200) {
		        		if (xhttpreq.responseText != "OK")
		        			alert(xhttpreq.responseText);
		            }
		            else
		            	alert("Не удалось отправить картинку!");
				}
			}
			xhttpreq.send(postData);
	        
		}
	    catch (e){
	    	alert("Ошибка в функции PicBash.MenuItemOnCommand. " + e);
	    }
	    
	}
};

window.addEventListener("load", function(e) { PicBash.WinOnLoad(e); }, false);
